#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-grammar
version:              2.1.4
package-name:         happy-lib
lib-name:             grammar
id:                   happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar
key:                  happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  e978dd482e935b80534f34c42d20e8bd
exposed-modules:      Happy.Grammar Happy.Grammar.ExpressionWithHole
import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar
depends:              array-0.5.4.0 base-4.16.4.0
haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-tabular
version:              2.1.4
package-name:         happy-lib
lib-name:             tabular
id:                   happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular
key:                  happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  8de8d68ae46ca6cbf1f437018f5b77a5
exposed-modules:
    Happy.Paths from happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular:Paths_happy_lib,
    Happy.Tabular, Happy.Tabular.First, Happy.Tabular.Info,
    Happy.Tabular.LALR, Happy.Tabular.NameSet, Paths_happy_lib

import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular
depends:
    array-0.5.4.0 base-4.16.4.0 containers-0.6.5.1
    happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-backend-lalr
version:              2.1.4
package-name:         happy-lib
lib-name:             backend-lalr
id:                   happy-lib-2.1.4-LwOiI2gOuCYHXXY80z8nE-backend-lalr
key:                  happy-lib-2.1.4-LwOiI2gOuCYHXXY80z8nE-backend-lalr
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  65904cc64a5b34ace954eba4c656b5e2
exposed-modules:      Happy.Backend.LALR Happy.Backend.LALR.ProduceCode
import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-LwOiI2gOuCYHXXY80z8nE-backend-lalr
depends:
    array-0.5.4.0 base-4.16.4.0
    happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar
    happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-frontend
version:              2.1.4
package-name:         happy-lib
lib-name:             frontend
id:                   happy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend
key:                  happy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  388aa1c47408c869d478d07e84904dd0
exposed-modules:
    Happy.Frontend Happy.Frontend.AbsSyn Happy.Frontend.Mangler
    Happy.Frontend.PrettyGrammar

hidden-modules:
    Happy.Frontend.ParseMonad Happy.Frontend.ParseMonad.Class
    Happy.Frontend.Mangler.Monad Happy.Frontend.Parser
    Happy.Frontend.Lexer Happy.Frontend.ParamRules
    Happy.Frontend.AttrGrammar Happy.Frontend.AttrGrammar.Parser
    Happy.Frontend.AttrGrammar.Mangler

import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend
depends:
    array-0.5.4.0 base-4.16.4.0 containers-0.6.5.1
    happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar mtl-2.2.2
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-backend-glr
version:              2.1.4
package-name:         happy-lib
lib-name:             backend-glr
id:                   happy-lib-2.1.4-zm2pw6v5Z58D3YLC6cA6J-backend-glr
key:                  happy-lib-2.1.4-zm2pw6v5Z58D3YLC6cA6J-backend-glr
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  5c6355e03a287a2eda40e7c0205329ae
exposed-modules:      Happy.Backend.GLR Happy.Backend.GLR.ProduceCode
import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-zm2pw6v5Z58D3YLC6cA6J-backend-glr
depends:
    array-0.5.4.0 base-4.16.4.0
    happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar
    happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:               happy-lib
version:            2.1.4
visibility:         public
id:                 happy-lib-2.1.4-Fo97NYqHYeX1Q77RtoVBih
key:                happy-lib-2.1.4-Fo97NYqHYeX1Q77RtoVBih
license:            BSD-2-Clause
copyright:          (c) Andy Gill, Simon Marlow
maintainer:         https://github.com/haskell/happy
author:             Andy Gill and Simon Marlow
stability:          stable
homepage:           https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:           Development
abi:                2881cf8549be49b0dd5a86a4989e8cd2
exposed:            True
exposed-modules:
    Happy.Backend.GLR from happy-lib-2.1.4-zm2pw6v5Z58D3YLC6cA6J-backend-glr:Happy.Backend.GLR,
    Happy.Backend.GLR.ProduceCode from happy-lib-2.1.4-zm2pw6v5Z58D3YLC6cA6J-backend-glr:Happy.Backend.GLR.ProduceCode,
    Happy.Backend.LALR from happy-lib-2.1.4-LwOiI2gOuCYHXXY80z8nE-backend-lalr:Happy.Backend.LALR,
    Happy.Backend.LALR.ProduceCode from happy-lib-2.1.4-LwOiI2gOuCYHXXY80z8nE-backend-lalr:Happy.Backend.LALR.ProduceCode,
    Happy.Frontend from happy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend:Happy.Frontend,
    Happy.Frontend.AbsSyn from happy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend:Happy.Frontend.AbsSyn,
    Happy.Frontend.Mangler from happy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend:Happy.Frontend.Mangler,
    Happy.Frontend.PrettyGrammar from happy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend:Happy.Frontend.PrettyGrammar,
    Happy.Grammar from happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar:Happy.Grammar,
    Happy.Grammar.ExpressionWithHole from happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar:Happy.Grammar.ExpressionWithHole,
    Happy.Tabular from happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular:Happy.Tabular,
    Happy.Tabular.First from happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular:Happy.Tabular.First,
    Happy.Tabular.Info from happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular:Happy.Tabular.Info,
    Happy.Tabular.LALR from happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular:Happy.Tabular.LALR,
    Happy.Tabular.NameSet from happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular:Happy.Tabular.NameSet

data-dir:           /usr/share/haskell-happy-lib
depends:
    array-0.5.4.0 base-4.16.4.0 containers-0.6.5.1
    happy-lib-2.1.4-zm2pw6v5Z58D3YLC6cA6J-backend-glr
    happy-lib-2.1.4-LwOiI2gOuCYHXXY80z8nE-backend-lalr
    happy-lib-2.1.4-fq2E1weyEXAYyNhZLAmhx-frontend
    happy-lib-2.1.4-6ArfsSDCUPOCPfOf3ocOkW-grammar
    happy-lib-2.1.4-KK2450v2LBhGlJKiYu5tJ2-tabular mtl-2.2.2
    transformers-0.5.6.2

haddock-interfaces: /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:       /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

